<?php
include "../../inc/inc.koneksi.php";
$tgl	= $_POST['tanggal'];
$thn	= substr($tgl,0,4);
$thn1	= (int) $thn-2000;
$text	= "SELECT max(kode_kb) as no_akhir FROM jurkrsb WHERE year(tanggal)='$thn' ORDER BY kode_kb";
$sql 	= mysql_query($text);
$row	= mysql_num_rows($sql);

if ($row>0){	
	$data=mysql_fetch_array($sql);	
	$no = $data['no_akhir'];
	$no_akhir = (int) substr($no, 4, 4);
	$no_akhir++;
	$kode = 'KB'.sprintf("%02s",$thn1).sprintf("%04s",$no_akhir);
	$data['nomor']	= $kode;
	$data['tanggal']= $tgl;
	echo json_encode($data);
}else{
	$data['nomor']	= 'KB'.sprintf("%02s",$thn1).'0001';
	$data['tanggal']= $tgl;
	echo json_encode($data);
}
?>